package com.testor.module.train.paper.service;


import com.testor.module.train.exam.model.domain.TTrainQuestionBank;
import com.testor.module.train.paper.model.domain.TTrainPaper;
import com.testor.module.train.paper.model.dto.ReturnTrainPaper;
import com.testor.module.train.paper.model.dto.TTrainPaperDelParam;
import com.testor.module.train.paper.model.dto.TTrainPaperParam;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.biz.models.BizGeneralResponse;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

import java.util.List;

/**
 * 试卷管理——安全教育培训Service接口
 *
 * @author testor-framework
 * @date 2022-07-13 15:25:11
 */
public interface TTrainPaperService extends SuperService<TTrainPaper> {

    BaseResponse<TTrainPaper> addEntity(TTrainPaper addRequest) throws Exception;

    BaseResponse<ReturnTrainPaper> detail(String id) throws Exception;

    BaseResponse<BizGeneralResponse> updateEntity(TTrainPaper updateRequest) throws Exception;

    BaseResponse<BizGeneralResponse> deleteEntity(TTrainPaperDelParam deleteRequest) throws Exception;

    BaseResponse<List<TTrainQuestionBank>> getQuestionBank()throws Exception;

    BaseResponse<TTrainPaperParam> getByIds(String id)throws Exception;

    String getTestPaperName(String testPaperId);
}
